=== debian/changelog ===
libtabixpp (1.0.0-3build2) artful; urgency=medium

  * Rebuild against new libhts2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:25:33 +0200

libtabixpp (1.0.0-3build1) artful; urgency=medium

  * No-change rebuild against libhts2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 07:29:15 +0000

libtabixpp (1.0.0-3) unstable; urgency=medium

  * Fix FTBFS with htslib 1.4.1-2.
    Closes: #865007
  * Update uploader email address.
  * Bump Standards-Version.
  * Use secure Vcs-Git.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 17:06:51 +0000

libtabixpp (1.0.0-2) unstable; urgency=medium

  * d/tests/control: depend on unversioned dev package
    This fixes a failing autopkgtest.
  * d/control: add some dev dependencies

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 22 Dec 2015 06:19:31 +0000

libtabixpp (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #807977)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 15 Dec 2015 00:12:12 +0000
