=== debian/control ===
Source: libtabixpp
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               libhts-dev,
               zlib1g-dev,
               d-shlibs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtabixpp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libtabixpp.git
Homepage: https://github.com/ekg/tabixpp

Package: libtabixpp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip. After indexing, tabix is able to quickly
 retrieve data lines by chromosomal coordinates.
 .
 This package provides a C++ wrapper to the tabix indexer.

Package: libtabixpp-dev
Provides: libtabixpp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtabixpp0 (= ${binary:Version}),
         libhts-dev,
         zlib1g-dev
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer (development files)
 This package provides development headers and static libraries for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.

Package: libtabixpp0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtabixpp0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer (debug symbols)
 This package provides debug symbols for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.
