=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	ln -s libtabixpp.so.* libtabixpp.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --override s/libhts2-dev/libhts-dev/ \
                    --movedev "*.hpp" usr/include/ \
                    libtabixpp.so

override_dh_strip:
	dh_strip --dbg-package=libtabixpp0-dbg
