=== debian/changelog ===
libtabixpp (1.1.0-6) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark one more symbol as optional.
    Closes: #986555

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 21:06:23 +0100

libtabixpp (1.1.0-5) unstable; urgency=medium

  * Build-Depends: d-shlibs (>= 0.83)
  * Drop needless override to d-shlibs
    Closes: #999794
  * Enable dh_missing --fail-missing
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 15:20:14 +0100

libtabixpp (1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 12:53:36 +0100

libtabixpp (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * debian/libtabixpp0.symbols: Build-Depends-Package: libtabixpp-dev
  * debian/rules clean: force to always succeed
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 15 Feb 2020 10:00:19 +0100

libtabixpp (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 21 Dec 2019 13:59:27 -0700

libtabixpp (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Freshen patches; hardening patch applied upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 21:43:57 +0100

libtabixpp (1.0.0-5) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Michael R. Crusoe ]
  * Add patch to enable hardening.
  * Ship libtabixpp.symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 17:07:38 +0100

libtabixpp (1.0.0-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop obsolete -dbg package

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 07:56:39 +0200
