=== debian/control ===
Source: libtabixpp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libhts-dev,
               zlib1g-dev,
               libbz2-dev,
               d-shlibs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libtabixpp
Vcs-Git: https://salsa.debian.org/med-team/libtabixpp.git
Homepage: https://github.com/ekg/tabixpp
Rules-Requires-Root: no

Package: libtabixpp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip. After indexing, tabix is able to quickly
 retrieve data lines by chromosomal coordinates.
 .
 This package provides a C++ wrapper to the tabix indexer.

Package: libtabixpp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libtabixpp0 (= ${binary:Version}),
         libhts-dev,
         zlib1g-dev,
         ${devlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libtabixpp-dev
Description: C++ wrapper to tabix indexer (development files)
 This package provides development headers and static libraries for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.
