=== debian/watch ===
version=4
https://github.com/ekg/tabixpp/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
