## libtabixpp 1.1.1

=== debian/changelog ===
libtabixpp (1.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Proper filename for upstream tarball

  [ Mohammed Bilal ]
  * Refresh patch

  [ Nilesh Patra ]
  * Add hardening opts

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 14 Jul 2022 20:35:35 +0530
