## libtabixpp 1.1.2

=== debian/changelog ===
libtabixpp (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 09:54:58 +0100
