=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                zlib1g-dev,
                libbz2-dev,
                d-shlibs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libtabixpp
 Vcs-Git: https://salsa.debian.org/med-team/libtabixpp.git
 Homepage: https://github.com/ekg/tabixpp
