=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || /bin/true

override_dh_auto_install:
	ln -s libtabixpp.so.* libtabixpp.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --movedev "*.hpp" usr/include/ \
                    libtabixpp.so
	find debian -name "lib*.la" -delete
